Agent Terminals
Read metadata-only progress of the caller own profile import without replaying it
Read metadata-only progress of the caller own profile import without replaying it. The request requires an authenticated caller and enforces terminal ownership, access grants, and activity visibility.
GET
/
api
/
v1
/
agents
/
terminals
/
{agentTerminalId}
/
browser-profile-imports
/
{requestId}
Read metadata-only progress of the caller own profile import without replaying it
curl --request GET \
--url https://api.revoengine.com/api/v1/agents/terminals/{agentTerminalId}/browser-profile-imports/{requestId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/agents/terminals/{agentTerminalId}/browser-profile-imports/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/terminals/{agentTerminalId}/browser-profile-imports/{requestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "preparing",
"profileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"profiles": [
{
"id": "<string>",
"name": "<string>"
}
],
"localCopy": "retained"
}Authorizations
Bearer JWT token or API Key (sk-*).
Response
200 - application/json
⌘I
Read metadata-only progress of the caller own profile import without replaying it
curl --request GET \
--url https://api.revoengine.com/api/v1/agents/terminals/{agentTerminalId}/browser-profile-imports/{requestId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/agents/terminals/{agentTerminalId}/browser-profile-imports/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/terminals/{agentTerminalId}/browser-profile-imports/{requestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "preparing",
"profileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"profiles": [
{
"id": "<string>",
"name": "<string>"
}
],
"localCopy": "retained"
}
